public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: sys-power/gwe/
Date: Fri,  9 Apr 2021 12:52:59 +0000 (UTC)	[thread overview]
Message-ID: <1617909489.b2a43ebcd240722f6af24ef1e3541c6482a0820e.andrewammerlaan@gentoo> (raw)

commit:     b2a43ebcd240722f6af24ef1e3541c6482a0820e
Author:     Octiabrina Terrien-Puig <octiabrina <AT> myrvogna <DOT> net>
AuthorDate: Thu Apr  8 19:10:34 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr  8 19:18:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b2a43ebc

sys-power/gwe: new package

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Octiabrina Terrien-Puig <octiabrina <AT> myrvogna.net>

 sys-power/gwe/Manifest          |  1 +
 sys-power/gwe/gwe-0.15.2.ebuild | 67 +++++++++++++++++++++++++++++++++++++++++
 sys-power/gwe/metadata.xml      | 11 +++++++
 3 files changed, 79 insertions(+)

diff --git a/sys-power/gwe/Manifest b/sys-power/gwe/Manifest
new file mode 100644
index 000000000..4b1465161
--- /dev/null
+++ b/sys-power/gwe/Manifest
@@ -0,0 +1 @@
+DIST gwe-0.15.2.tar.gz 365396 BLAKE2B 166afc622c13829f727304f9d5ba0a39a0c6f8225222f26e342b3791ed9e2d45c2bb996129cc09b88b6a1ee4effe51a160825fa70a92d1e6ae5458d0eaf431d8 SHA512 f6e0e0cb6e5139fd81371fc3e6eb50d2f87193608de4db99d87891da3ecc90828a80e8a7d0c653ea781bee9ced14353e73d0362e92d1c2b4e29b6c3df2d46a57

diff --git a/sys-power/gwe/gwe-0.15.2.ebuild b/sys-power/gwe/gwe-0.15.2.ebuild
new file mode 100644
index 000000000..13f2933e0
--- /dev/null
+++ b/sys-power/gwe/gwe-0.15.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit gnome2-utils meson python-single-r1 xdg-utils
+
+DESCRIPTION="NVIDIA settings alternative with overclocking, fan control, and information"
+HOMEPAGE="https://gitlab.com/leinardi/gwe"
+SRC_URI="https://gitlab.com/leinardi/gwe/-/archive/${PV}/${P}.tar.gz"
+
+KEYWORDS="~amd64"
+SLOT="0"
+LICENSE="GPL-3"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+		${PYTHON_DEPS}
+		dev-libs/gobject-introspection
+		dev-libs/libappindicator:3
+		dev-libs/libdazzle
+
+		$(python_gen_cond_dep '
+			dev-python/injector[${PYTHON_USEDEP}]
+			dev-python/matplotlib[${PYTHON_USEDEP}]
+			dev-python/peewee[${PYTHON_USEDEP}]
+			dev-python/py3nvml[${PYTHON_USEDEP}]
+			dev-python/pygobject:3[${PYTHON_USEDEP}]
+			dev-python/python-xlib[${PYTHON_USEDEP}]
+			dev-python/pyxdg[${PYTHON_USEDEP}]
+			dev-python/requests[${PYTHON_USEDEP}]
+			dev-python/Rx[${PYTHON_USEDEP}]
+		')
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+		${RDEPEND}
+		dev-libs/appstream-glib
+		virtual/pkgconfig
+"
+
+src_prepare() {
+	# Disable post-inst script – let the ebuild handle it
+	sed -i meson.build \
+		-e "s:meson.add_install_script('scripts/meson_post_install.py')::g" \
+		|| die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	gnome2_schemas_update
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_schemas_update
+	xdg_desktop_database_update
+	xdg_icon_cache_update
+}

diff --git a/sys-power/gwe/metadata.xml b/sys-power/gwe/metadata.xml
new file mode 100644
index 000000000..6535f7da7
--- /dev/null
+++ b/sys-power/gwe/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>octiabrina@myrvogna.net</email>
+		<name>Octiabrina Terrien-Puig</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="gitlab">leinardi/gwe</remote-id>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2021-04-09 12:53 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-09 12:52 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-09 12:53 [gentoo-commits] repo/proj/guru:master commit in: sys-power/gwe/ Andrew Ammerlaan
2021-12-15 11:20 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-12-15 11:20 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2022-05-09 18:44 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1617909489.b2a43ebcd240722f6af24ef1e3541c6482a0820e.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox